class Player
  attr_accessor :name, :score

  def initialize(name)
    @name = name
    @score = 0
  end

  def max_bet_amount
    @score < 500 ? 500 : @score
  end

  def inspect
    [@name, @score].inspect
  end

  def to_s
    @name
  end
end